Bug 53623 - rpmdiff doesn't seem to work
rpmdiff doesn't seem to work
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-13 05:30 EDT by Jens Petersen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-13 05:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2001-09-13 05:30:02 EDT
Description of Problem:
rpmdiff seems broken and not do anything useful

How Reproducible:
always

Steps to Reproduce:
1. 
% /usr/lib/rpm/rpmdiff mozilla-chat-0.9.2.1-1.i386.rpm
mozilla-chat-0.9-0.i386.rpm

Actual Results:
/usr/lib/rpm/rpmdiff: Error parsing header in rpm file:
mozilla-chat-0.9.2.1-1.i386.rpm, record number: 0.

Expected Results:
comparison of rpm's content should appear
Comment 1 Jeff Johnson 2002-07-01 13:57:46 EDT
Both rpmdiff and rpmdiff.cgi are eliminated, fix should
be in rpm-4.1-0.39 and later
Comment 2 Jens Petersen 2002-07-08 06:12:01 EDT
Not quite the fix I had in mind, but anyway...

A nice set of powerful rpm utils would really be something
very useful.

Note You need to log in before you can comment on or make changes to this bug.